CLASS TEMPLATE N(3)

NAME
boost::interprocess::null_index

SYNOPSIS

// In header: <boost/interprocess/indexes/null_index.hpp>
template<typename MapConfig>
class null_index {
public:
  // types
  typedef void *       iterator;
  typedef const void * const_iterator;
  // construct/copy/destruct
  null_index(segment_manager_base *);
  // public member functions
  const_iterator begin() const;
  iterator begin();
  const_iterator end() const;
  iterator end();
};

DESCRIPTION

Null index type used to save compilation time when named indexes are not needed.

  null_index public construct/copy/destruct

    1.

    null_index(segment_manager_base *);
    Empty constructor. .RE

  null_index public member functions

    1.

    const_iterator begin() const;

    begin() is equal to end()

    2.

    iterator begin();

    begin() is equal to end()

    3.

    const_iterator end() const;

    begin() is equal to end()

    4.

    iterator end();

    begin() is equal to end()